Solaris architecture fact should always be hardwareisa!!!!
Assignee:
Difficulty: Fixed in Releases:
Pull request:

Description
Hi,

While testing solaris deployment on foreman 1.0.1 stable | recognized that fore some Solaris hosts the architecture is reported as
sun4u and for some others it is sparc.

This is a big problem and looking at the code:
app/models/facts_importer.rb:

def architecture
# On solaris architecture fact is harwareisa
name = facts[:architecture] || facts[:hardwareisa]

this tells me why. If there is no good reason to use architecture on Solaris | would suggest to always use hardwareisa instead. On
older versions of facter (1.5.8) on Solaris the fact architecture doesn't exist and so the correct fact hardwareisa is used. On newer
versions of facter the architecture fact exists on Solaris and so foreman uses it. This is a problem when trying to deploy a new Solaris
host. If the architecture is set to sun4u all the required fields are not created on the dhcp server.

Associated revisions

Revision 0813600a - 10/25/2012 11:52 AM - Oliver Weinmann

fixes #1913 Solaris architecture fact should always be hardwareisa

History

#1 - 10/23/2012 08:40 AM - Ohad Levy

do you mind sending it as a pull request?

#2 - 10/23/2012 10:41 AM - Oliver Weinmann
No Problem. Just did.

Hopefully this time it is correct. :)

https://github.com/theforeman/foreman/pull/204/files

#3 - 10/25/2012 01:06 PM - Oliver Weinmann
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 0813600ab8c6e76c62a45ee240858c57aaaa3296.
